# Gimp.TextLayer.get_markup

    @accepts(Gimp.TextLayer)
    @returns(unicode)
    def get_markup(self):
        # Python wrapper for gimp_text_layer_get_markup()

Get the markup from a text layer as string.

This procedure returns the markup of the styles from a text layer. The markup will be in the form of Pango's markup - See https://www.pango.org/ for more information about Pango and its markup.

Since 2.8

self

  The text layer.

Returns